decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## get_config()

def fhs.get_config | ( |  | extra = `False` | ) |

Retrieve commandline configuration.

Return the stored result of parsing the commandline and reading the config file.

If init() was not yet called, it is called implicitly with default settings.

Parameters

  extra | if True, return dict of which values were not using their defaults as well.

Returns
  configuration dict, and possibly present dict, with the same format as the return value of init().

Definition at line 707 of file fhs.py.

Here is the call graph for this function: